Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType jms-system-resourceType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}target-infoType
              {http://www.bea.com/ns/weblogic/90/domain}basic-deploymentType
                  {http://www.bea.com/ns/weblogic/90/domain}system-resourceType
                      {http://www.bea.com/ns/weblogic/90/domain}jms-system-resourceType

Model
  `<...>
  name?, notes?, target?, module-type?, compatibility-name?, source-path?, sub-deployment*, deployment-order?, descriptor-file-name?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: jms-interop-moduleType
  Components using this type: none

Documentation

  This bean defines a system-level JMS resource. It links a separate descriptor that specifies the definition.

  MBean: `JMSSystemResourceMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `module-type` optional The values match those defined by jsr88.
`string` | `compatibility-name` optional This is only set for beans created as a result of conversion from an 8.
`string` | `source-path` optional The path to the source of the deployment unit on admin server.
`anyType` | `sub-deployment` 0...∞ Targeting for subcomponents that differs from targeting for the component.
`int` | `deployment-order` optional A numerical value that indicates when this unit is deployed, relative to other DeployableUnits on a server, during startup.
`string` | `descriptor-file-name` optional The name of the file that contains the module.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1